<!-- BADGES -->
[![Downloads][downloads-shield]][releases-link]
[![Docs][docs-shield]][docs-link]
[![License][license-shield]][license-link]
[![Stars][stars-shield]][stars-link]
[![Issues][issues-shield]][issues-link]
[![Discord][discord-shield]][discord-link]

<!-- TITLE -->
![image](https://user-images.githubusercontent.com/6818236/115637633-a0d9cd80-a2de-11eb-89f8-48373c34d740.png)
<p align="center">
  <p align="center">
    Install and customize your favorite custom Team Fortress 2 HUDs.
    <br />
    <a href="https://github.com/CriticalFlaw/TF2HUD.Editor/releases/latest">Download</a>
    ·
    <a href="https://www.criticalflaw.ca/TF2HUD.Editor">Documentation</a>
    ·
    <a href="https://www.criticalflaw.ca/TF2HUD.Editor/screenshots/">Screenshots</a>
    ·
    <a href="https://github.com/CriticalFlaw/TF2HUD.Editor/issues">Issue Tracker</a>
    ·
    <a href="https://discord.gg/hTdtK9vBhE">Discord</a>
  </p>
</p>

<!-- CONTENT -->

### Installation

1. Download and install the [Microsoft .NET 7.0 Runtime][runtime-link] for desktop apps.
2. Download and extract the [latest version of the editor][releases-link].
3. Run the executable **TF2HUD.Editor.exe**
---

### Acknowledgements
* Code, Design and Documentation: [CriticalFlaw](https://github.com/CriticalFlaw) and [Revan](https://github.com/cooolbros)
* Logo and Banner: [Zeesastrous](https://github.com/Zeesastrous)
* Transparent Viewmodels Add-on: [mastercoms](https://github.com/mastercoms)
* Icons and Crosshairs Add-on: [Hypnotize](https://github.com/Hypnootize)

#### Localizations
* French: [tacokete](https://github.com/tacokete). [KayaDLX](https://github.com/KayaDLX)
* Russian: [Blueberryy](https://github.com/Blueberryy)
* Brazilian Portuguese: [Tiagoquix](https://github.com/Tiagoquix)
* Spanish: [thejaviertc](https://github.com/thejaviertc)
* Italian: [SignorUpB](https://github.com/SignorUpB)
* Simplified Chinese: [HotoCocoaco](https://github.com/HotoCocoaco)
---

### Help/Support

If you need help, report a bug or ask a question related to the project...
* [Read the project documentation][docs-link].
* [Open a ticket on our issue tracker][issues-link].
* [Join our Discord Server][discord-link].
---

### How to Contribute

Contributions towards the project are welcomed and encouraged. Some ways you can contribute include:
* Code changes towards new features, enhancements and bug fixes. For on-going tasks, see our [issue tracker][issues-link].
* Adding support for other HUDs by creating schema files. See [this section of our documentation][json-link] for instructions.
* Maintaining, expanding and improving [this documentation][docs-link] to help to other users.
* Adding localizations of missing languages or improving them [here][localizations-link].
* Sponsor this project through [GitHub Sponsors][sponsors-link].

<!-- MARKDOWN LINKS -->
[stars-shield]: https://img.shields.io/github/stars/CriticalFlaw/TF2HUD.Editor?style=flat-square
[stars-link]: https://github.com/CriticalFlaw/TF2HUD.Editor/stargazers
[issues-shield]: https://img.shields.io/github/issues/CriticalFlaw/TF2HUD.Editor?style=flat-square
[issues-link]: https://github.com/CriticalFlaw/TF2HUD.Editor/issues
[license-shield]: https://img.shields.io/github/license/CriticalFlaw/TF2HUD.Editor?style=flat-square
[license-link]: https://github.com/CriticalFlaw/TF2HUD.Editor/blob/master/.github/LICENSE
[docs-shield]: https://readthedocs.org/projects/tf2hudeditor/badge/?version=latest&style=flat-square
[docs-link]: https://www.criticalflaw.ca/TF2HUD.Editor
[localizations-link]: https://github.com/CriticalFlaw/TF2HUD.Editor/tree/master/src/TF2HUD.Editor/Properties
[json-link]: https://www.criticalflaw.ca/TF2HUD.Editor/json/intro/
[screenshots-link]: https://www.criticalflaw.ca/TF2HUD.Editor/screenshots/
[issues-link]: https://github.com/CriticalFlaw/TF2HUD.Editor/issues
[discord-shield]: https://img.shields.io/badge/Discord-criticalflaw-7289da.svg?style=flat-square&logo=discord
[discord-link]: https://discord.gg/hTdtK9vBhE
[downloads-shield]: https://img.shields.io/github/downloads/criticalflaw/tf2hud.editor/total?style=flat-square
[releases-link]: https://github.com/CriticalFlaw/TF2HUD.Editor/releases
[sponsors-link]: https://github.com/sponsors/CriticalFlaw
[runtime-link]: https://dotnet.microsoft.com/download/dotnet/7.0/runtime
